Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.common
Class QueryResult<T>

    java.lang.Object
      com.bea.content.spi.flexspi.common.QueryResult<T>

All Implemented Interfaces
  Serializable

    public class QueryResult<T>

extends Object
implements Serializable

query results

See Also
  Serialized Form

Constructor Summary
`QueryResult(List<T> queryResults, QueryCriteria queryCriteria)`
`QueryResult(List<T> queryResults, SortCriteria sortCriteria, FilterCriteria filterCriteria)`

Method Summary
`boolean` | `equals(Object obj)`
`FilterCriteria` | `filterCriteria()`
`int` | `hashCode()`
`QueryCriteria` | `queryCriteria()`
`List<T>` | `results()`
`SortCriteria` | `sortCriteria()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryResult

    public QueryResult(List<T> queryResults,
                       QueryCriteria queryCriteria)

### QueryResult

    public QueryResult(List<T> queryResults,
                       SortCriteria sortCriteria,
                       FilterCriteria filterCriteria)

Method Detail

### queryCriteria

    public QueryCriteria queryCriteria()

### sortCriteria

    public SortCriteria sortCriteria()

### filterCriteria

    public FilterCriteria filterCriteria()

### results

    public List<T> results()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved